GestionBddDAO

## Class GestionCategories

- java.lang.Object
- - GestionBddDAO.GestionCategories

    public class GestionCategories
    extends java.lang.Object

Classe effectuant les modifications en base de données pour les catégories.

### Field Summary

Fields
`private java.sql.Connection` `bdd` Connexion à la base de données.
`private java.util.ArrayList<Categorie>` `listCategories` Tableau contenant la liste de toutes les categories stockées en base de données.

### Constructor Summary

Constructors
Constructor and Description
`GestionCategories(java.sql.Connection bdd)` Constructeur donnant accées à la base de données.

### Method Summary

Methods
`void` `createCategorie(java.lang.String categorieName)` Crée une nouvelle catégorie.
`void` `deleteCategorie(java.lang.String categorieName)` Supprime une catégorie.
`java.util.ArrayList<Categorie>` `getListCategories()` Renvoie le tableau interne contenant les catégories.
`void` `readCategorie()` Remplis le tableau interne avec les catégorie trouvées en base de données.
`void` `updateCategorie(java.lang.String oldCategorieName, java.lang.String newCategorieName)` Rennome une catégorie.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bdd

    private java.sql.Connection bdd

Connexion à la base de données.

#### listCategories

    private java.util.ArrayList<Categorie> listCategories

Tableau contenant la liste de toutes les categories stockées en base de données.

### Constructor Detail

#### GestionCategories

    public GestionCategories(java.sql.Connection bdd)

Constructeur donnant accées à la base de données.

Parameters:
  `bdd` - La connexion à la base de données.

### Method Detail

#### readCategorie

    public void readCategorie()
                       throws java.sql.SQLException

Remplis le tableau interne avec les catégorie trouvées en base de données.

Throws:
  `java.sql.SQLException` - Si une erreur SQL survient.

#### createCategorie

    public void createCategorie(java.lang.String categorieName)
                         throws java.sql.SQLException

Crée une nouvelle catégorie.

Parameters:
  `categorieName` - Le nom de la catégorie à créer.
Throws:
  `java.sql.SQLException` - Si une erreur SQL survient.

#### deleteCategorie

    public void deleteCategorie(java.lang.String categorieName)
                         throws java.sql.SQLException

Supprime une catégorie.

Parameters:
  `categorieName` - Le nom de la catégorie à supprimer.
Throws:
  `java.sql.SQLException` - Si une erreur SQL survient.

#### updateCategorie

    public void updateCategorie(java.lang.String oldCategorieName,
                       java.lang.String newCategorieName)
                         throws java.sql.SQLException

Rennome une catégorie.

Parameters:
  `oldCategorieName` - Le nom de la catégorie à rennomer.
  `newCategorieName` - Le nouveau nom de la catégorie.
Throws:
  `java.sql.SQLException` - Si une erreur SQL survient.

#### getListCategories

    public java.util.ArrayList<Categorie> getListCategories()

Renvoie le tableau interne contenant les catégories.

Returns:
  Un tableau d'objets Catégorie.